Advisory Details

August 18th, 2009

Oracle Secure Backup Administration Server Authentication Bypass Vulnerability

ZDI-09-058
ZDI-CAN-443

CVE ID CVE-2009-1977
CVSS SCORE
AFFECTED VENDORS Oracle
AFFECTED PRODUCTS Secure Backup
VULNERABILITY DETAILS

This vulnerability allows remote attackers to bypass authentication on vulnerable installations of Oracle Secure Backup. User interaction is not required to exploit this vulnerability.

The specific flaw exists in the logic used to authenticate a user to the administration server running on port 443. The script login.php does not properly sanitize the 'username' variable before using it in a database query. A specially crafted 'username' allows unauthorized attackers to log in with full administrative capabilities.

VENDOR RESPONSE Oracle has issued an update to correct this vulnerability. More details can be found at:
http://www.oracle.com/technology/deploy/security/critical-patch-updates/cpujul2009.html
DISCLOSURE TIMELINE
  • 2009-03-26 - Vulnerability reported to vendor
  • 2009-08-18 - Coordinated public release of advisory
CREDIT Anonymous
BACK TO ADVISORIES